OpenRTK330LI: Where can I find the system recovery image ?

I tried to upgrade the OpenRTK330LI F/W from v23.01 to GNSS_RTK_INS v23.02 in the Aceinna code base by using the python driver v2.3.0.
https://developers.aceinna.com/code/apps
However, during the upgrade, some communication errors occur and the process stops. After the trouble, the python driver can not find the device. The green LED of EVK only flashes when the reset button pushed or the power on.
I tried to re-install the bootloader (v1.1.1) and the GNSS_RTK_INS APP (v23.02) in the code base by using ST-Link. The bootloader could be installed but the GNSS_RTK_INS APP could not be with the error message "File size is bigger than the flash memory size." I did not backup the original system image by ST-Link.
Where can I find the system recovery image of OpenRTK330LI ?

  1. Turn the switch sw1 to the ST PROGRAM
  2. Execute the command: python main.py -b 115200
  3. If python driver is connected to the OpenRTK330L, upgrade again

@dai

Thanks.

I tried but the python driver still does not find OpenRTK330LI.

0b889a8e-1551-48c5-8622-1c54d3ab5c4d-image.png

@Tomoji-Takasu Please provide openrtk330Li serial number and your email address. We will communicate with you.

@dai

Thanks.

module P/N 8350-3021-01
barcode 2075000298
EVK P/N 8550-3022-01
E-mail: ttaka@yk.rim.or.jp

I have exactly the same problem. When trying to update firmware online I got this error printed in Python driver:

\python-openimu>python main.py
[Info] Python driver version: 2.5.0
[Info] Websocket server is started on port 8000

Connected OpenRTK with UART on COM3

Device: OpenRTK330L OpenRTK330LI 5020-3021-01 23.01 SN:2075000294
Firmware: RTK_INS App v23.01, BootLoader v1.1.1
OpenRTK log GNSS UART COM4
OpenRTK log DEBUG UART COM5
NTRIP:[connect] 58.215.20.43:2201 start...
NTRIP:[connect] ok
NTRIP:[request] ok
Upgrade failed: 'utf-8' codec can't decode byte 0xff in position 1: invalid start byte
Exception in thread Thread-9:
Traceback (most recent call last):
File "C:\Anaconda3\lib\site-packages\aceinna\devices\base\provider_base.py", line 338, in thread_do_upgrade_framework
workers = self.get_upgrade_workers(firmware_content)
File "C:\Anaconda3\lib\site-packages\aceinna\devices\base\rtk_provider_base.py", line 591, in get_upgrade_workers
parsed_content = firmware_content_parser(firmware_content, rules)
File "C:\Anaconda3\lib\site-packages\aceinna\framework\utils\firmware_parser.py", line 20, in parser
part_start_str = bytes.decode(content[current_pos: part_start_str_pos])
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xff in position 1: invalid start byte

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Anaconda3\lib\threading.py", line 917, in _bootstrap_inner
self.run()
File "C:\Anaconda3\lib\threading.py", line 865, in run
self._target(*self._args, **self._kwargs)
File "C:\Anaconda3\lib\site-packages\aceinna\devices\base\provider_base.py", line 350, in thread_do_upgrade_framework
self.handle_upgrade_error(ex)
File "C:\Anaconda3\lib\site-packages\aceinna\devices\base\provider_base.py", line 469, in handle_upgrade_error
self.emit('upgrade_failed', 'UPGRADE.FAILED.001', message)
File "C:\Anaconda3\lib\site-packages\aceinna\core\event_base.py", line 28, in emit
handler(*args, **kwargs)
File "C:\Anaconda3\lib\site-packages\aceinna\core\driver.py", line 57, in device_upgrade_failed_handler
self.emit(DriverEvents.UpgradeFail, code, reason)
File "C:\Anaconda3\lib\site-packages\aceinna\core\event_base.py", line 28, in emit
handler(*args, **kwargs)
File "C:\Anaconda3\lib\site-packages\aceinna\bootstrap\default.py", line 57, in handle_upgrade_fail
'success': False, 'code': code, 'message': message})
File "C:\Anaconda3\lib\site-packages\aceinna\core\tunnel_web.py", line 380, in notify
return self.ws_handler.handle_continous_data(*other)
File "C:\Anaconda3\lib\site-packages\aceinna\core\tunnel_web.py", line 97, in handle_continous_data
'data': data
File "C:\Anaconda3\lib\site-packages\aceinna\framework\decorator.py", line 105, in decorated
func(*args, **kwargs)
File "C:\Anaconda3\lib\site-packages\aceinna\core\tunnel_web.py", line 195, in response_message
'result': data
File "C:\Anaconda3\lib\json_init
.py", line 231, in dumps
return _default_encoder.encode(obj)
File "C:\Anaconda3\lib\json\encoder.py", line 199, in encode
chunks = self.iterencode(o, _one_shot=True)
File "C:\Anaconda3\lib\json\encoder.py", line 257, in iterencode
return _iterencode(o, 0)
File "C:\Anaconda3\lib\json\encoder.py", line 179, in default
raise TypeError(f'Object of type {o.class.name} '
TypeError: Object of type UnicodeDecodeError is not JSON serializable

Then the green LED will just flash rapidly, no orange or red LED.
I used ST-LINK to program OpenRTK330L_Bootloader_v1.1.1.bin, it is successful, but still green LED flashes rapidly.
Python driver can no longer connect.
I tried python main.py -b 115200 and setting switch to "ST program"

Mine is
barcode (serial number?) 2075000294
module P/N 8350-3021-01
Information from https://developers.aceinna.com/devices/owned when it was working:
OpenRTK330L
SN: 2075000294
Part Number: 5020-3021-01
Firmware Version: 23.01
Last Connected Time: 2021-07-13 21:38:00

Now I get this print out from Python driver, but still cannot see device connecting at https://developers.aceinna.com/devices/rtk to allow me apply the firmware!

(base) C:\Users\breez\python-openimu>python main.py -b 115200
[Info] Python driver version: 2.5.0
[Info] Websocket server is started on port 8000

Connected OpenRTK with UART on COM3

Device: OpenRTK330L OpenRTK330LI 5020-3021-01 1.0.7 SN:2075000294
Firmware: BootLoader v1.1.1
Failed to extract app version information from unit.
The supported application list is ['RAWDATA', 'RTK', 'RTK_INS'].
To keep runing, use INS configuration as default.
You can choose to place your json file under execution path if it is an unknown application.
OpenRTK log GNSS UART COM4
OpenRTK log DEBUG UART COM5

Try to refresh the page. The automatic connect check may be past.

Looks like bootloader alone does not connect to developer.aceinna.com
I followed the instruction at https://forum.aceinna.com/topic/289/how-to-update-firmware-after-online-update-fails/6
To manually upgrade OpenRTK330L_GNSS_RTK_INS_v23.05.bin using --cli in python driver and now it connects after running python driver again after updating.

Log in to reply